#include <linux/config.h>
#include <linux/version.h>

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,0)
	#include <linux/module.h>
#else 
	#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,5)
    		#include <linux/modversions.h>
	#endif
	
	#ifdef MODULE
		#include <linux/module.h>
		#ifdef MODVERSIONS
	    		#include <linux/modversions.h>
		#endif
	#endif
#endif

#include <linux/sched.h>
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0)
	#include <linux/blk.h>
#endif
#include <linux/errno.h>
#include <linux/string.h>
#include <linux/pci.h>
#include <linux/wait.h>
#include <linux/ioport.h>
#include <linux/delay.h>
#include <linux/proc_fs.h>
#include <linux/interrupt.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/smp_lock.h>
#include <asm/io.h>
#include <asm/system.h>
#include <asm/dma.h>
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,0) /* 0x20300 */
	#include <asm/spinlock.h>
#else 
	#include <linux/spinlock.h>
#endif
#include <linux/stat.h>
#include <linux/types.h>
#include <linux/kdev_t.h>
#include "scsi.h"
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0)
	#include "sd.h"
#endif
#include "hosts.h"

#if defined(__MODULE_KERNEL_i686) && defined(__MODULE_KERNEL_athlon) && (__MODULE_KERNEL_i686==__MODULE_KERNEL_athlon)
#error "__MODULE_KERNEL_i686 and __MODULE_KERNEL_athlon is mistakely defined"
#endif

#include "entry.c"
#include "hptproc.c"
