/***************************************************************************
 * compiler.h for Linux
 ***************************************************************************/
#ifndef _COMPILER_H_
#define _COMPILER_H_

#define COMPANY      "HighPoint Technologies, Inc."
#define COPYRIGHT    "(c) 2000-2004. HighPoint Technologies, Inc."

/***************************************************************************
 * product special 
 ***************************************************************************/

#define PRODUCT_NAME "Rocket 100"
#define CHECK_SATA_DEVICE(pDev) 
#define IS_SATA_DEVICE(pDev) 0


#define SUPPORT_HPT3XX
#define IS_SUPPORTED_DEVICEID(x) ((WORD)(x)==4 || (WORD)(x)==5 || (WORD)(x)==6)

#define HPT_INTERFACE_VERSION 0x01000003

#define HPT3XX_IO_ENABLE   
#define HPT3XX_CHECK_MAX_MODE
#define SCAN_ALL_AT_BEGINNING
#define SCAN_PCI_BUS_FOR_DEVICE
#define SUPPORT_48BIT_LBA
#define MAX_QUEUE_COMM 32
#define MAX_SG_DESCRIPTORS 17
#define SUPPORT_IOCTL
#define SUPPORT_REMOVABLE_DISK
#define SUPPORT_DPLL
#define CLOCK_66MHZ

extern int not_support_cross_ctrl;
#define NOT_SUPPORT_CROSS_CTRL not_support_cross_ctrl

#define MAX_VBUS   1
#define MAX_CHIPS   4
#define MAX_CHANNEL_PER_CHIP 2
#define MAX_CHANNELS (MAX_CHIPS * MAX_CHANNEL_PER_CHIP)
#define MAX_DEVICE_PER_CHANNEL 2
#define MAX_DEVICES  (MAX_CHANNELS * 2)
#define MAX_CHIP_IN_VBUS	MAX_CHIPS
#define MAX_VDEVICE_PER_VBUS MAX_DEVICES
#define MAX_ARRAY_NAME    16 /* can't >16, see hptintf.h */
#define MAX_MEMBERS       8  /* Maximum members in an array	*/

#endif
